#include <bits/stdc++.h>
using namespace std;
using ll = long long;


vector<int> getVisionPattern1d(){
    vector<int> v(6);
    v[0] = 3;
    v[1] = 1;
    v[2] = 1;
    v[3] = 1;
    v[4] = 2;
    v[5] = 1;
}
int getMove1d(vector<int> v){
    int n = v.size() / 2;
    if(n == 1){
        if(v[0] > v[2]){
            return 0;
        }
        else{
            return 2;
        }
    }
    else if(n == 2){
        if(v[0] == 3){
            return 0;
        }
        else{
            return 4;
        }
    }
    else if(n == 3){
        if(v[1] == 2){
            return 6;
        }
        else{
            return 0;
        }
    }
    else{
        return 0;
    }
}

vector<vector<int>> getVisionPattern2d(){
    vector<vector<int>> vec;
    return vec;
}

pair<int, int> getMove2d(vector<vector<int>> v){
    return{0,0};
}























